{
  "models": [
    {
      "name": "CustomUser",
      "resource_name": "users",
      "synchronizable": true,
      "observable": true,
      "tokenExemptedMethods": ["post"],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "username",
          "type": "String"
        },
        {
          "name": "email",
          "type": "String"
        },
        {
          "name": "clubs",
          "type": "[String]",
          "defaultValue": "[]"
        },
        {
          "name": "umpireCode",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "licenceId",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "firstName",
          "type": "String"
        },
        {
          "name": "lastName",
          "type": "String"
        },
        {
          "name": "phone",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "country",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "summonsMessageBody",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "summonsMessageSignature",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "summonsAvailablePaymentMethods",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "summonsDisplayFormat",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "summonsDisplayEntryFee",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "summonsUseFullCustomMessage",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "matchFormatsDefaultDuration",
          "type": "[MatchFormat: Int]",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "bracketMatchFormatPreference",
          "type": "MatchFormat",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "groupStageMatchFormatPreference",
          "type": "MatchFormat",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "loserBracketMatchFormatPreference",
          "type": "MatchFormat",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "loserBracketMode",
          "type": "LoserBracketMode",
          "defaultValue": ".automatic"
        },
        {
          "name": "deviceId",
          "type": "String",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "agents",
          "type": "[String]",
          "defaultValue": "[]"
        }
      ]
    }
  ]
}
